List campaign leads
Authorization
bearerAuth Paste the full personal access token or organization API key value. Examples: acq_live_..., acq_org_.... Tokens can be limited to resource/action scopes such as workspaces:read, people:write, and deals:write.
In: header
Path Parameters
Workspace id.
uuidCampaign id.
uuidQuery Parameters
Maximum number of campaign leads to return. Defaults to 50. Minimum 1, maximum 100.
1 <= value <= 10050Opaque pagination cursor from meta.pagination.nextCursor. Omit for the first page and pass back unchanged for the next page.
1 <= length <= 8192Filter campaign leads by outreach status.
Value in
- "not_yet_contacted"
- "contacted"
- "interested"
- "not_interested"
- "unsubscribed"
- "completed"
- "out_of_office"
- "meeting_booked"
- "completed_no_reply"
- "reply_received"
- "bounced"
- "converted"
Filter campaign leads by source.
Value in
- "scraped_lead"
- "crm_contact"
- "external"
- "manual"
Filter campaign leads by prospect flag.
Return the campaign lead with this exact email address.
emailCampaign leads created on or after this ISO 8601 date-time.
date-timeCampaign leads created on or before this ISO 8601 date-time.
date-timeCampaign leads updated on or after this ISO 8601 date-time.
date-timeCampaign leads updated on or before this ISO 8601 date-time.
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/leads"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf", "firstName": "string", "lastName": "string", "fullName": "string", "email": "user@example.com", "leadListName": "string", "status": "not_yet_contacted", "source": "scraped_lead", "emailOpenCount": 0, "emailBounceCount": 0, "emailSent": true, "isProspect": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "links": { "self": "http://example.com" } } ], "links": { "self": "http://example.com", "next": "http://example.com" }, "meta": { "pagination": { "nextCursor": "string", "hasMore": true, "limit": 1 } }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}